classification
Title: Fix comments about _PyThreadState_Current
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Jim Nasby, iritkatriel, vstinner
Priority: normal Keywords: patch

Created on 2016-12-31 23:25 by Jim Nasby, last changed 2021-06-15 17:26 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
_PyThreadState_Current_comments.diff Jim Nasby, 2016-12-31 23:25 Patch review
Messages (2)
msg284415 - (view) Author: Jim Nasby (Jim Nasby) * Date: 2016-12-31 23:25
Attached patch fixes two comments in dictobject.c referring to no longer exposed _PyThreadState_Current variable. I also tweaked the grammar for that issue in NEWS, since it came up in my search. Apologies if that's considered gratuitous noise.
msg395886 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-06-15 17:26
These comments have been removed in the meantime, here:
https://github.com/python/cpython/commit/59d3dce69b0a4f6ee17578ae68037cc7ae90936f
History
Date User Action Args
2021-06-15 17:26:34iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg395886

resolution: out of date
stage: resolved
2017-01-01 00:00:51berker.peksagsetnosy: + vstinner
2016-12-31 23:25:17Jim Nasbycreate